Opened 8 years ago

Closed 8 years ago

Last modified 3 years ago

#35285 closed defect (fixed)

gimp-help-en won't upgrade - can't find libxml2

Reported by: watsodw Owned by: dbevans (David B. Evans)
Priority: Normal Milestone:
Component: ports Version: 2.1.1
Keywords: haspatch Cc: dcecchin@…, fondacio@…, MaddTheSane (C.W. Betts), erikmouw (Erik Mouw), mario.gleirscher@…, skymoo (Adam Mercer), someuser12, maverickwoo (Maverick Woo), tomi@…, MartinBuchmann (Martin Buchmann), jackysp@…, lawrence.ong@…, macuserguru, dgonyier (Dwaine Gonyier), ryandesign (Ryan Schmidt), numaryu
Port: gimp-help-en

Description

Running upgrade for gimp-help-en fails because it can't find module libxml2

Attachments (4)

main.log (5.7 KB) - added by watsodw 8 years ago.
main.2.log (11.5 KB) - added by watsodw 8 years ago.
Portfile.diff (1.3 KB) - added by someuser12 8 years ago.
Proposal of a patch to the Portfile
main3.log (80.0 KB) - added by numaryu 8 years ago.

Download all attachments as: .zip

Change History (33)

Changed 8 years ago by watsodw

Attachment: main.log added

comment:1 Changed 8 years ago by ryandesign (Ryan Schmidt)

Cc: devans@… removed
Owner: changed from macports-tickets@… to devans@…

This log is incomplete. Please "sudo port clean gimp-help-en", then try again, then attach the new main.log.

Changed 8 years ago by watsodw

Attachment: main.2.log added

comment:2 Changed 8 years ago by watsodw

Added new log file.

comment:3 Changed 8 years ago by dcecchin@…

Cc: dcecchin@… added

Cc Me!

comment:4 Changed 8 years ago by fondacio@…

Cc: fondacio@… added

Cc Me!

comment:5 Changed 8 years ago by vikingjs@…

Had the same problem; tried reinstalling libxml2 and got the following result:

sudo port install libxml2
--->  Computing dependencies for libxml2
--->  Cleaning libxml2
--->  Updating database of binaries: 100.0%
--->  Scanning binaries for linking errors: 100.0%
--->  Found 9 broken file(s), matching files to ports
--->  Found 3 broken port(s), determining rebuild order
--->  Rebuilding in order
     gimp2 @2.6.12 +help_browser+python27
     inkscape @0.48.3.1 +python26
     texlive-bin @2011 +motif+x11

So the problem may not be with gimp-help per se. Not sure it matters, but I had run "port uninstall inactive" recently.

comment:6 in reply to:  5 ; Changed 8 years ago by vikingjs@…

Replying to vikingjs@…:

Posted that response a little prematurely. After the ports identified as being broken were reinstalled, the original problem persisted.

Had the same problem; tried reinstalling libxml2 and got the following result:

sudo port install libxml2
--->  Computing dependencies for libxml2
--->  Cleaning libxml2
--->  Updating database of binaries: 100.0%
--->  Scanning binaries for linking errors: 100.0%
--->  Found 9 broken file(s), matching files to ports
--->  Found 3 broken port(s), determining rebuild order
--->  Rebuilding in order
     gimp2 @2.6.12 +help_browser+python27
     inkscape @0.48.3.1 +python26
     texlive-bin @2011 +motif+x11

So the problem may not be with gimp-help per se. Not sure it matters, but I had run "port uninstall inactive" recently.

comment:7 in reply to:  6 ; Changed 8 years ago by tinoucas@…

  • Configure script needs argument '--without-gimp' if gimp is not yet installed.
  • Embedded tools/xml2po runs with python, which defaults to /usr/bin/python ; should be python2 (/opt/local/bin/python2.7).

comment:8 in reply to:  7 ; Changed 8 years ago by kurt@…

Replying to tinoucas@…:

Embedded tools/xml2po runs with python, which defaults to /usr/bin/python ; should be python2 (/opt/local/bin/python2.7).


I had the same problem, and this edit of tools/xml2po.py fixed it for me. (Gimp was already installed)

comment:9 Changed 8 years ago by MaddTheSane (C.W. Betts)

Cc: computers57@… added

Cc Me!

comment:10 Changed 8 years ago by erikmouw (Erik Mouw)

Cc: erikmouw@… added

Cc Me!

comment:11 Changed 8 years ago by mario.gleirscher@…

Cc: mario.gleirscher@… added

Cc Me!

comment:12 Changed 8 years ago by skymoo (Adam Mercer)

Cc: ram@… added

Cc Me!

comment:13 Changed 8 years ago by someuser12

I attached a proposal of patch to the portfile (tested under Mac OS 10.6, with Python 2.7 as default), inspired by the portfile of "gtk-doc".

Last edited 3 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:14 Changed 8 years ago by someuser12

Cc: macosx12345@… added

Cc Me!

comment:15 in reply to:  13 ; Changed 8 years ago by skymoo (Adam Mercer)

Replying to macosx12345@…:

I attached a proposal of patch to the portfile (tested under Mac OS 10.6, with Python 2.7 as default), inspired by the portfile of "gtk-doc".

Shouldn't the full path to MacPorts python be used? i.e. /opt/local/bin/python2.7 instead of /usr/bin/env python2.7?

Last edited 3 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:16 Changed 8 years ago by maverickwoo (Maverick Woo)

Cc: maverick.woo@… added

Cc Me!

comment:17 Changed 8 years ago by tomi@…

Cc: tomi@… added

Cc Me!

comment:18 Changed 8 years ago by joshmatthews@…

Proposed portfile patch worked for me on Mac OS 10.7.1.

comment:19 in reply to:  15 Changed 8 years ago by someuser12

Replying to ram@…:

Shouldn't the full path to MacPorts python be used? i.e. /opt/local/bin/python2.7 instead of /usr/bin/env python2.7?

Maybe. Indeed, the present patch works only as long as the first pythonx.y in the PATH has the same version number as the requested variant of gimp-help-en and has an associated libxml2, which should be the most frequent case. Since /usr/bin/env may have some advantadges that I don't know, I left it and I leave it to some Python expert to give a better answer.

On the other hand I made a mistake, depends_run.append should be depends_build.append since py-libxml2 is needed only during build — now corrected.

Changed 8 years ago by someuser12

Attachment: Portfile.diff added

Proposal of a patch to the Portfile

comment:20 Changed 8 years ago by MartinBuchmann (Martin Buchmann)

Cc: Martin.Buchmann@… added

Cc Me!

comment:21 Changed 8 years ago by jackysp@…

Cc: jackysp@… added

Cc Me!

comment:22 Changed 8 years ago by lawrence.ong@…

Cc: lawrence.ong@… added

Cc Me!

comment:23 in reply to:  8 Changed 8 years ago by krissen

Replying to kurt@…:

Replying to tinoucas@…:

Embedded tools/xml2po runs with python, which defaults to /usr/bin/python ; should be python2 (/opt/local/bin/python2.7).


I had the same problem, and this edit of tools/xml2po.py fixed it for me. (Gimp was already installed)

+1.

comment:24 Changed 8 years ago by macuserguru

Cc: fritzs@… added

Cc Me!

comment:25 Changed 8 years ago by dgonyier (Dwaine Gonyier)

Cc: dgonyier@… added

Cc Me!

comment:26 in reply to:  13 Changed 8 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added
Keywords: haspatch added
Resolution: fixed
Status: newclosed

Replying to macosx12345@…:

I attached a proposal of patch to the portfile (tested under Mac OS 10.6, with Python 2.7 as default), inspired by the portfile of "gtk-doc".

Thanks. I committed a simplified version of this in r96105.

Last edited 3 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:27 Changed 8 years ago by numaryu

I had the same problem, and even after patching r96105, I get the attached error (main3.log). It seems the port depends on docbook-xsl as well. Just FYI.

Changed 8 years ago by numaryu

Attachment: main3.log added

comment:28 in reply to:  27 Changed 8 years ago by ryandesign (Ryan Schmidt)

Cc: ryusuke.numata@… added

Replying to ryusuke.numata@…:

I had the same problem, and even after patching r96105, I get the attached error (main3.log). It seems the port depends on docbook-xsl as well. Just FYI.

That's a different problem, filed as #35303.

comment:29 Changed 8 years ago by ryandesign (Ryan Schmidt)

Has duplicate #35461.

Note: See TracTickets for help on using tickets.